//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.coreImpl.store;

import org.huihoo.workflow.server.WorkflowSession;
import org.huihoo.workflow.server.WorkflowWork;
import org.huihoo.workflow.store.ValidationException;
import org.huihoo.workflow.store.WorkflowTemplate;
import org.huihoo.workflow.store.WorkflowWorkValidator;

public class WorkflowWorkValidatorImpl implements WorkflowWorkValidator
{
	protected WorkflowTemplate workflowimpl;

	public WorkflowWorkValidatorImpl(WorkflowTemplate workflowimpl)
	{
		setWorkflowTemplate(workflowimpl);
	}

	public WorkflowTemplate getWorkflowTemplate()
	{
		return workflowimpl;
	}
	
	public void  setWorkflowTemplate(WorkflowTemplate workflowimpl)
	{
		this.workflowimpl = workflowimpl;
	}

	public boolean checkAccept(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}

	public boolean checkFetch(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}

	public boolean checkBacktrack(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}

	public boolean checkReverse(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}
	
	public boolean checkSubmit(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}

	public boolean checkFind(WorkflowSession session, WorkflowWork workItem) throws ValidationException
	{
		return true;
	}
}
